﻿@model PROJETMODELE.Models.VML.TP.Ouverture_Cloture_CaisseVM
@using PROJETMODELE.Models.BML.TG;
@using PROJETMODELE.Models.BML;
@using PROJETMODELE.Tools;
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    Layout = null;
    string identifiant = TempData["id"].ToString();
    PROJETMODELE.Tools.Services service = new PROJETMODELE.Tools.Services();
    PROJETMODELE.Tools.Convertisseur convertir = new PROJETMODELE.Tools.Convertisseur();
    PROJETMODELE.Models.DAL.StoreEntities db = new PROJETMODELE.Models.DAL.StoreEntities();
   
}
<link href="~/Content/css/Impression1.css" rel="stylesheet" media="print" />
<script src="~/Scripts/Consulter.js"></script>
<script src="~/Scripts/jquery.jqprint-0.3.js"></script>

<div id="formulaire">
    <div>Ouverture/Clôture Caisse</div>
    <div class="forms">
        <input id="afficherclosebutton" value="0" type="hidden" />
        <div class="bouttonaction">  
             @if(Model.Etat == 0 && (cmd.Contains("Modifier_Ouverture_Cloture_Caisse")))
             {
                 <button title="Modifier" value="Modifier" type="button" id="modifier" class="btn btn-default oufbutton  FermerConsultation"><i class="ouf-edit"></i>Modifier</button>                                                       
             }
             @if(Model.Etat == 0 && (cmd.Contains("Valider_Ouverture_Cloture_Caisse")))
             {
                 <button title="Valider" value="Valider" type="button" id="valider" class="btn btn-default oufbutton SansIdentifiantConsultation"><i class="ouf-ok"></i>Clôturer</button>                 
             }
             @if(Model.Etat == 0 && (cmd.Contains("Annuler_Ouverture_Cloture_Caisse")))
             {
                 <button title="Annuler" value="Annuler" type="button" id="annuler" class="btn btn-default oufbutton  SansIdentifiantConsultation"><i class="ouf-cancel"></i>Annuler</button>                   
             }
             @if (Model.Etat == 1 && (cmd.Contains("Imprimer_Ouverture_Cloture_Caisse")))
             {
                 WriteLiteral(@"<button title='Imprimer' value='Imprimer'  type='button' id='print' class='btn btn-default oufbutton '><i class='ouf-print'></i>Imprimer</button>");
             }           
       </div>
       @Html.Hidden("validerUrl", "/Ouverture_Cloture_Caisse/Valider/" + identifiant)
       @Html.Hidden("annulerUrl", "/Ouverture_Cloture_Caisse/Annuler/" + identifiant)
       @Html.Hidden("modifierUrl", "/Ouverture_Cloture_Caisse/Modifier/" + identifiant)
      <div id="facturepetitfom">
            <div class="fiche">
                <h4 class="titre">Ouverture/Clôture Caisse</h4>
                <div class="date">@DateTime.Now.ToString("dd/MM/yyyy")</div>
                <table class="table-footer-no-border-100">
                    <tbody>
                        <tr>
                            <td><b>Caisse : </b>@Model.Caisse </td>
                            <td><b>Caissier(e) : </b>@Model.Personnel </td>
                        </tr>
                        <tr>
                            
                        </tr>
                        <tr>
                            <td><b>Date Ouverture : </b>@Model.Date_Ouverture.ToString("dd/MM/yyyy HH:mm") </td>
                            <td><b>Date Clôture : </b>@(Model.Etat == 0 ? "__/__/____" : Model.Date_Cloture_Str)</td>
                        </tr>
                        <tr>
                            
                        </tr>
                    </tbody>
                </table>
                
                <table>
                    <tr><td><h3 class="page-title" >SITUATION G&Eacute;N&Eacute;RALE</h3></td></tr>
                </table>
                <table class="fiche">
                    <thead>
                        <tr>
                            <td colspan="4">Vente de la p&eacute;riode</td>
                        </tr>
                    </thead>
                    <tbody>
                        
                        <tr>
                            <td style="width:20%" ></td>
                            <td >Produits</td>
                            <td  colspan="2" >@Model.Montant_Ventes_Str</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td >B&eacute;n&eacute;fice</td>
                            <td  colspan="2">@Model.Benefice_Brut_Str</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td  style="width:20%">Quantit&eacute; Produits Vendus</td>
                            <td  style="width:10%">@Model.Quantite_Casier</td>
                            <td  style="width:10%">@Model.Quantite_Bouteille</td>
                        </tr>
                    </tbody>
                </table>
				<br>
				<table class="fiche">
                    <thead>
                        <tr>
                            <td colspan="4">Estimation du Stock</td>
                        </tr>
                    </thead>
                    <tbody>
                        
                        <tr>
                            <td style="width:20%"></td>
                            <td >Valeur Produits (PU. Achat)</td>
                            <td  colspan="2">@service.SeparateurMillier(Model.Valeur_Stock_Liquide_Achat)</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td >Valeur Produit (PU. Vente)</td>
                            <td  colspan="2">@service.SeparateurMillier(Model.Valeur_Stock_Liquide)</td>
                        </tr>
						<tr>
                            <td></td>
                            <td >Valeur Emballage</td>
                            <td  colspan="2">@service.SeparateurMillier(Model.Valeur_Stock_Emballage)</td>
                        </tr>
                        <tr>
                            <td></td>
                            <td  style="width:20%">Quantit&eacute; Produits Stock</td>
                            <td  style="width:10%">@service.SeparateurMillier(Model.Quantite_Stock_Casier)</td>
                            <td  style="width:10%">@service.SeparateurMillier(Model.Quantite_Stock_Bouteille)</td>
                        </tr>
                    </tbody>
                </table>
				<br>
                <table class="table-footer-no-border-100">
                    <thead>
                        <tr>
                            <td colspan="3">Situation Caisse</td>
                        </tr>
                    </thead>
                    <tbody>
                        
                        <tr>
							<td></td>
                            <td >Solde Initial</td>
                            <td >@service.SeparateurMillier(Model.Inital_Solde_Caisse)</td>
                        </tr>
                        <tr>
							<td></td>
                            <td >R&egrave;glement Client</td>
                            <td >@Model.Montant_Reglement_Client_Str</td>
                        </tr>
                        <tr>
							<td></td>
                            <td >R&egrave;glement Fournisseur</td>
                            <td >@Model.Montant_Reglement_Fournisseur_Str</td>
                        </tr>
                        <tr>
							<td></td>
                            <td >Payer Ristourne Client</td>
                            <td >@Model.Montant_Ristourne_Client_Str</td>
                        </tr>
                        <tr>
							<td></td>
                            <td >D&eacute;pense</td>
                            <td >@Model.Montant_Depense_Str</td>
                        </tr>
                        <tr>
							<td></td>
                            <td >R&eacute;gulation</td>
                            <td >@Model.Montant_Regulation_Solde_Str</td>
                        </tr>
                        <tr>
							<td></td>
                            <td  style="width:20%">Solde Final</td>
                            <td  style="width:30%">@service.SeparateurMillier(Model.Solde_Caisse)</td>
                        </tr>
                    </tbody>
                </table>
				<br/>
				<table class="table-footer-no-border-100">
                    <thead>
                        <tr>
                            <td colspan="3">Compte Client</td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
							<td></td>
                            <td  style="width:20%">Dettes Client Initiale</td>
                            <td  style="width:30%">@service.SeparateurMillier(Model.Solde_Client_Initial)</td>
                        </tr>
                        <tr>
							<td></td>
                            <td  style="width:20%">Dettes Client Finale</td>
                            <td  style="width:30%">@service.SeparateurMillier(Model.Solde_Client)</td>
                        </tr>
                    </tbody>
                </table>
				<br/>
				<table class="table-footer-no-border-100">
                    <thead>
                        <tr>
                            <td colspan="3">Compte Fournisseur</td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
							<td></td>
                            <td  style="width:20%">Dettes Fournisseur Initiale</td>
                            <td  style="width:30%">@service.SeparateurMillier(Model.Solde_Fournisseur_Initial)</td>
                        </tr>
                        <tr>
							<td></td>
                            <td  style="width:20%">Dettes Fournisseur Finale</td>
                            <td  style="width:30%">@service.SeparateurMillier(Model.Solde_Fournisseur)</td>
                        </tr>
                    </tbody>
                </table>
        
				<br/>
                 
    
       <table>
           <tr><td><h3 class="page-title" >FACTURE &Eacute;MISE</h3></td></tr>
       </table>
				<table class="tab">
					<thead>
                        <tr style="text-align:center">
                            <td style="width:30px">N&deg; Facture</td>
							<td>Client</td>
							<td style="width:10px">Nbre Casier</td>
							<td style="width:10px">Nbre Btles</td>
							<td>Solde Initial</td>
							<td>Produits</td>
							<td>Emballage</td>
							<td>R. Emballage</td>
							<td>Net A Payer</td>
							<td>Versement</td>
							<td>Solde Final</td>
							<td>B&eacute;n&eacute;fice Brut</td>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach(var item in Model.Facture_Emise){
                        <tr>
                            <td>@item.NUM_DOC</td>
							<td>@item.Client</td>
							<td style="text-align:center">@item.Quantite_Casier</td>
							<td style="text-align:center">@item.Quantite_Bouteille</td>
							<td style="text-align:right">@item.Solde_Initial.ToDouble()</td>
							<td style="text-align:right">@item.Montant_Produit_Str</td>
							<td style="text-align:right">@item.Montant_Emballage_Str</td>
							<td style="text-align:right">@item.Montant_Retour_Emballage_Str</td>
							<td style="text-align:right">@item.Net_a_Payer_Str</td>
							<td style="text-align:right">@item.Versement_Str </td>
							<td style="text-align:right">@item.Solde_Final_Str </td>
							<td style="text-align:right">@item.Benefice_Brut_Str</td>
                        </tr>
                        }
                        
                    </tbody>
					<tfoot>
                        <tr style="text-align:right">
                            <td colspan="2">Total</td>
                            <td style="text-align:center">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Quantite_Casier).Sum()))</td>
                            <td style="text-align:center">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Quantite_Bouteille).Sum()))</td>
                            <td style="text-align:right">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Solde_Initial).Sum()))</td>
                            <td style="text-align:right">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Montant_Produit).Sum()))</td>
                            <td style="text-align:right">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Montant_Emballage).Sum()))</td>
                            <td style="text-align:right">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Montant_Retour_Emballage).Sum()))</td>
                            <td style="text-align:right">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Net_a_Payer).Sum()))</td>
                            <td style="text-align:right">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Versement).Sum()))</td>
                            <td style="text-align:right">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Solde_Final).Sum()))</td>
                            <td style="text-align:right">@(Model.Facture_Emise.Count() == 0 ? "0" : service.SeparateurMillier(Model.Facture_Emise.Select(p=>p.Benefice_Brut).Sum()))</td>
                        </tr>
                    </tfoot>
				</table>
    
      <table style="border:0">
           <tr style="border:0"><td><h3 class="page-title" >MOUVEMENT STOCK LIQUIDE</h3></td></tr>
       </table>
    <table class="fiche tab">
        <thead>
            <tr>
                <td colspan="2"></td>
                <td colspan="3" style="text-align:center">Initial</td>
                <td colspan="3" style="text-align:center">Entr&eacute;e</td>
                <td colspan="3" style="text-align:center">Sortie</td>
                <td colspan="3" style="text-align:center">Stock</td>
            </tr>
            <tr style="text-align:center">
                <td>Code</td>
                <td>Designation</td>
                <td>Casier</td>
                <td>Btles</td>
                <td>Valeur</td>
                <td>Casier</td>
                <td>Btles</td>
                <td>Valeur</td>
                <td>Casier</td>
                <td>Btles</td>
                <td>Valeur</td>
                <td>Casier</td>
                <td>Btles</td>
                <td>Valeur</td>
            </tr>
        </thead>
        <tbody>
            @foreach(var item in Model.Mouvement_Stock)
            {
                <tr>
                    <td>@item.Code</td>
                    <td>@item.Designation</td>
                    <td style="text-align:center">@item.Quantite_Casier_Initial</td>
                    <td style="text-align:center">@item.Quantite_Bouteille_Initial</td>
                    <td style="text-align:right">@item.Valeur_Initial.ToDouble()</td>
                    <td style="text-align:center">@item.Quantite_Casier_Entree</td>
                    <td style="text-align:center">@item.Quantite_Bouteille_Entree</td>
                    <td style="text-align:right">@item.Valeur_Entree.ToDouble()</td>
                    <td style="text-align:center">@item.Quantite_Casier_Sotie</td>
                    <td style="text-align:center">@item.Quantite_Bouteille_Sotie</td>
                    <td style="text-align:right">@item.Valeur_Sotie.ToDouble()</td>
                    <td style="text-align:center">@item.Quantite_Casier_Stock</td>
                    <td style="text-align:center">@item.Quantite_Bouteille_Stock</td>
                    <td style="text-align:right">@item.Valeur_Stock.ToDouble()</td>
                </tr>
            }
        </tbody>
        <tfoot>
            <tr>
                <td colspan="4">Totaux</td>
                <td style="text-align:right">@service.SeparateurMillier(Model.Mouvement_Stock.Select(p=>p.Valeur_Initial).Sum())</td>
                <td colspan="2"></td>
                <td style="text-align:right">@service.SeparateurMillier(Model.Mouvement_Stock.Select(p=>p.Valeur_Entree).Sum())</td>
                <td colspan="2"></td>
                <td style="text-align:right">@service.SeparateurMillier(Model.Mouvement_Stock.Select(p=>p.Valeur_Sotie).Sum())</td>
                <td colspan="2"></td>
                <td style="text-align:right">@service.SeparateurMillier(Model.Mouvement_Stock.Select(p=>p.Valeur_Stock).Sum())</td>
            </tr>
        </tfoot>
        </table>

   
      <table>
           <tr><td class="page-heading"><h3 class="page-title" >MOUVEMENT STOCK EMBALLAGE</h3></td></tr>
       </table>
    <table class="fiche tab">
        <thead>
            <tr>
                <td ></td>
                <td colspan="4" style="text-align:center">Initial</td>
                
                <td colspan="4" style="text-align:center">Stock</td>
            </tr>
            <tr style="text-align:center">
                <td>Code</td>
                
                <td>Casier</td>
                 <td>Plastique</td>
                <td>Btles</td>
               
                <td>Valeur</td>
                
                <td>Casier</td>
                <td>Plastique</td>
                <td>Btles</td>
                <td>Valeur</td>
            </tr>
        </thead>
        <tbody>
            @foreach(var item in Model.Mouvement_Stock_Emballage)
            {
                <tr>
                    <td>@item.Code</td>
                    
                    <td style="text-align:center">@item.Quantite_Casier_Initial</td>
                    <td style="text-align:center">@item.Quantite_Plastique_Initial</td>
                    <td style="text-align:center">@item.Quantite_Bouteille_Initial</td>
                    <td style="text-align:right">@item.Valeur_Initial.ToDouble()</td>                    
                    <td style="text-align:center">@item.Quantite_Casier_Stock</td>
                    <td style="text-align:center">@item.Quantite_Plastique_Stock</td>
                    <td style="text-align:center">@item.Quantite_Bouteille_Stock</td>
                    <td style="text-align:right">@item.Valeur_Stock.ToDouble()</td>
                </tr>
            }
        </tbody>
        <tfoot>
            <tr>
                <td colspan="4">Totaux</td>
                <td style="text-align:right">@service.SeparateurMillier(Model.Mouvement_Stock_Emballage.Select(p=>p.Valeur_Initial).Sum())</td>
                <td colspan="3"></td>
                <td style="text-align:right">@service.SeparateurMillier(Model.Mouvement_Stock_Emballage.Select(p=>p.Valeur_Stock).Sum())</td>
                
            </tr>
        </tfoot>
        </table>
            </div>
        </div>
        
<div class="fiche">
        
       


            </div>

    </div>
</div>
<script>
    $('#formulaire').jqxWindow({ height: "100%", maxWidth: 1024, width: "100%", isModal: true, showCloseButton: true, theme: "ui-redmond" });

    $("#print").on("click", function () {
        window.location = "/Base/Rapport_Cloture_Caisse/@identifiant";
      
        //return false;
       // $('#facturepetitfom').jqprint();
        return false;
    });
</script>
<style>
    .fiche table {
        width: 100%;
        border-collapse: collapse;
    }

    .fiche {
        /*padding-top:25px;
       text-transform:uppercase;*/
    }

        .fiche table {
            margin-bottom: 20px;
        }

            .fiche table.envoyeur {
                width: 49%;
                margin-right: 2%;
                float: left;
                border: 1px solid;
                border-radius: 5%;
            }

            .fiche table.beneficiaire {
                width: 49%;
                border: 1px solid;
            }

            .fiche table.transaction {
                width: 100%;
                border: 1px solid;
            }

            .fiche table.signature {
                width: 100%;
            }

                .fiche table.signature td {
                    text-align: right;
                    padding-right: 5%;
                }

            .fiche table.table-footer {
                width: 100%;
                border-collapse: collapse;
            }

            .fiche table td i {
                font-size: 10px;
                font-weight: bold;
            }

            .fiche table.table-footer td {
                border: 1px solid;
                width: 25%;
            }

            .fiche table.detail {
                width: 100%;
                border-collapse: collapse;
            }

                .fiche table.detail td, .fiche table.detail th {
                    border: 1px solid;
                    text-align: center;
                }

        .fiche div.montant {
            font-weight: bold;
        }

        .fiche .heure {
            position: relative;
            top: -10px;
            display: block;
            border: 1px solid red;
        }

        .fiche table.table-dynamique td {
            border: 1px solid;
            text-align: left;
        }

        .fiche table.table-footer-no-wiht td {
            border: 1px solid;
            text-align: center;
        }

        .fiche table.table-footer-no-border td {
            border: 0px solid;
            width: 25%;
        }

        .fiche table.table-footer-no-border-50 td {
            border: 0px solid;
            width: 50%;
        }

        .fiche table.table-footer-no-border-100 td {
            border: 1px solid;
            padding: 8px !important;
        }

        .fiche .titre {
            background-color: #eee;
            padding: 12px;
            text-align: center;
            text-transform: uppercase;
        }

        .fiche h4 {
            text-transform: uppercase;
        }

        .fiche div.date {
            font-weight: bold;
            text-align: right;
            margin-bottom: 15px;
        }

        .fiche table td {
            padding: 5px;
        }

        .fiche table caption {
            text-align: left;
            position: relative;
        }

            .fiche table caption span {
                position: absolute;
                left: 15px;
                bottom: -7px;
                background-color: #fff;
                padding: 0 5px;
            }
</style>
<style>
   .fiche table{
        width: 100%;
        border: 0.5px solid;
        border-collapse: collapse;
        font-size: 13px;
    }
   .fiche thead{
        background-color: #f5f5f5;
        border-left: 0.5px solid #808080;
        border-right: 0.5px solid #808080;
        border-top: 0.5px solid #808080;
        color: #000;
        font-weight: bold;
        padding: 5px;
    }

    .fiche tbody{
        background-color: #fff;
        border: 0.5px solid #808080;
    }
   .tab tr:not(:nth-child(odd)){
        background-color: #f0fff0;
    }

    .tab tbody tr:not(:nth-child(even)){
        background-color: #fffff0;
    }
    .fiche table tr td{
        border: 0.5px solid;
        padding:5px;
    }
    .page-heading .page-title {
        /*font-family: 'BebasNeueRegular', sans-serif;
	    font-size:15px;
	    line-height:52px;
        letter-spacing: 2px;
	    margin:0;
	    padding:0;
	    float:left;*/
        border-bottom: 2px solid #009dff;
    }
</style>